/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.fixedlength.resourcebundle;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoFixedLengthWriterDotNet]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoFixedLengthWriterDotNetResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoFixedLengthWriterDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthWriterDotNet]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoFixedLengthWriterDotNetResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthWriterDotNet");
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthWriterDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthWriterDotNet]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoFixedLengthWriterDotNetResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthWriterDotNet", locale);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、ロケール[" + locale.toString() + "]、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthWriterDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthWriterDotNet]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoFixedLengthWriterDotNetResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthWriterDotNet", locale, loader);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、ロケール[" + locale.toString() + "]、指定のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[PACKAGE.PREFIX]
     *
     * [.io] (ja)<br>
     *
     * @return key[PACKAGE.PREFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPackagePrefix() {
        // 初期値として定義書の値を利用します。
        String strFormat = ".io";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PACKAGE.PREFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[PACKAGE.PREFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLASS_NAME.SUFFIX]
     *
     * [FixedLengthWriter] (ja)<br>
     *
     * @return key[CLASS_NAME.SUFFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClassNameSuffix() {
        // 初期値として定義書の値を利用します。
        String strFormat = "FixedLengthWriter";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASS_NAME.SUFFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLASS_NAME.SUFFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FILECOMMENT]
     *
     * [ファイル定義書(固定長)から作成されたライタクラス] (ja)<br>
     *
     * @return key[FILECOMMENT]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFilecomment() {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義書(固定長)から作成されたライタクラス";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FILECOMMENT");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FILECOMMENT]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLASSCOMMENT.01]
     *
     * [ファイル定義[{0}]のライタクラス] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CLASSCOMMENT.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義[{0}]のライタクラス";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLASSCOMMENT.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLASSCOMMENT.02]
     *
     * [このクラスはファイル定義書(固定長)から自動生成されたライタクラスです。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "このクラスはファイル定義書(固定長)から自動生成されたライタクラスです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLASSCOMMENT.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLASSCOMMENT.03.CASE01]
     *
     * [　1.文字列長チェックには、デフォルトエンコーディングを利用します。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.03.CASE01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment03Case01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "　1.文字列長チェックには、デフォルトエンコーディングを利用します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.03.CASE01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLASSCOMMENT.03.CASE01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLASSCOMMENT.03.CASE02]
     *
     * [　1.文字列長チェックには、[{0}]エンコーディングを利用します。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CLASSCOMMENT.03.CASE02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment03Case02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "　1.文字列長チェックには、[{0}]エンコーディングを利用します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.03.CASE02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLASSCOMMENT.03.CASE02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLASSCOMMENT.04]
     *
     * [　2.クラスの利用した後は必ず close()を呼び出してください。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment04() {
        // 初期値として定義書の値を利用します。
        String strFormat = "　2.クラスの利用した後は必ず close()を呼び出してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.04");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLASSCOMMENT.04]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[ADDUSINGTYPE.01.SUFFIX]
     *
     * [.io.BlancoFixedLengthIOException] (ja)<br>
     *
     * @return key[ADDUSINGTYPE.01.SUFFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getAddusingtype01Suffix() {
        // 初期値として定義書の値を利用します。
        String strFormat = ".io.BlancoFixedLengthIOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("ADDUSINGTYPE.01.SUFFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[ADDUSINGTYPE.01.SUFFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.WRITER.TYPE]
     *
     * [System.IO.TextWriter] (ja)<br>
     *
     * @return key[FIELD.WRITER.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldWriterType() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.TextWriter";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.WRITER.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.WRITER.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.WRITER.NAME]
     *
     * [fWriter] (ja)<br>
     *
     * @return key[FIELD.WRITER.NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldWriterName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "fWriter";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.WRITER.NAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.WRITER.NAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.WRITER.JAVADOC.01]
     *
     * [ライタオブジェクト] (ja)<br>
     *
     * @return key[FIELD.WRITER.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldWriterJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "ライタオブジェクト";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.WRITER.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.WRITER.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.WRITER.JAVADOC.02]
     *
     * [内部的に実際に出力を行うのライタを記憶します。] (ja)<br>
     *
     * @return key[FIELD.WRITER.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldWriterJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "内部的に実際に出力を行うのライタを記憶します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.WRITER.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.WRITER.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.LINE_COUNTER.TYPE]
     *
     * [long] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterType() {
        // 初期値として定義書の値を利用します。
        String strFormat = "long";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.LINE_COUNTER.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.LINE_COUNTER.NAME]
     *
     * [fLineCounter] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "fLineCounter";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.NAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.LINE_COUNTER.NAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.LINE_COUNTER.JAVADOC.01]
     *
     * [処理中の行カウンタ] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "処理中の行カウンタ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.LINE_COUNTER.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.LINE_COUNTER.JAVADOC.02]
     *
     * [現在処理を行っている行の位置を記憶します。] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "現在処理を行っている行の位置を記憶します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.LINE_COUNTER.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.LINE_COUNTER.DEFAULT]
     *
     * [0] (ja)<br>
     *
     * @return key[FIELD.LINE_COUNTER.DEFAULT]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldLineCounterDefault() {
        // 初期値として定義書の値を利用します。
        String strFormat = "0";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.LINE_COUNTER.DEFAULT");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.LINE_COUNTER.DEFAULT]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.SIMPLE_DATE_FORMAT.TYPE]
     *
     * [string] (ja)<br>
     *
     * @return key[FIELD.SIMPLE_DATE_FORMAT.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatType() {
        // 初期値として定義書の値を利用します。
        String strFormat = "string";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX]
     *
     * [fSimpleDateFormat] (ja)<br>
     *
     * @return key[FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatNamePrefix() {
        // 初期値として定義書の値を利用します。
        String strFormat = "fSimpleDateFormat";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.NAME.PREFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01]
     *
     * [項目[{0}]の書き込みの際に利用するフォーマッター] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatJavadoc01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "項目[{0}]の書き込みの際に利用するフォーマッター";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02]
     *
     * [※インスタンス化しておくことによりメモリゴミ発生を抑制します。] (ja)<br>
     *
     * @return key[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldSimpleDateFormatJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "※インスタンス化しておくことによりメモリゴミ発生を抑制します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FIELD.SIMPLE_DATE_FORMAT.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CONSTRUCTOR.01.JAVADOC.01]
     *
     * [固定長ファイルライタクラスのコンストラクタ] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Javadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "固定長ファイルライタクラスのコンストラクタ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CONSTRUCTOR.01.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CONSTRUCTOR.01.JAVADOC.02]
     *
     * [与えられたライタと連結します。] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Javadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "与えられたライタと連結します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CONSTRUCTOR.01.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CONSTRUCTOR.01.ARG.01.TYPE]
     *
     * [System.IO.TextWriter] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.ARG.01.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Arg01Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.TextWriter";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.ARG.01.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CONSTRUCTOR.01.ARG.01.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CONSTRUCTOR.01.ARG.01.JAVADOC.01]
     *
     * [連結するライタ] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.ARG.01.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Arg01Javadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "連結するライタ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.ARG.01.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CONSTRUCTOR.01.ARG.01.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.JAVADOC.01]
     *
     * [与えられた一行を書き出します&lt;br&gt;] (ja)<br>
     *
     * @return key[WRITERECORD.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "与えられた一行を書き出します<br>";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.JAVADOC.02]
     *
     * [データはデリミタで区切られながらライタに出力され、最後に改行コードが付与されます。] (ja)<br>
     *
     * @return key[WRITERECORD.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "データはデリミタで区切られながらライタに出力され、最後に改行コードが付与されます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.ARG.01.JAVADOC]
     *
     * [レコードオブジェクト] (ja)<br>
     *
     * @return key[WRITERECORD.ARG.01.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordArg01Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "レコードオブジェクト";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.ARG.01.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.ARG.01.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.THROWS.01.JAVADOC]
     *
     * [与えられたレコード中の項目値が不正な場合など。] (ja)<br>
     *
     * @return key[WRITERECORD.THROWS.01.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordThrows01Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "与えられたレコード中の項目値が不正な場合など。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.THROWS.01.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.THROWS.01.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.THROWS.02.TYPE]
     *
     * [System.IO.IOException] (ja)<br>
     *
     * @return key[WRITERECORD.THROWS.02.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordThrows02Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.IOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.THROWS.02.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.THROWS.02.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.THROWS.02.JAVADOC]
     *
     * [連結されたライター出力の際に例外が発生した場合。] (ja)<br>
     *
     * @return key[WRITERECORD.THROWS.02.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordThrows02Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "連結されたライター出力の際に例外が発生した場合。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.THROWS.02.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.THROWS.02.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.LINE.01]
     *
     * [// {0}項目名[{1}]] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[WRITERECORD.LINE.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordLine01(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "// {0}項目名[{1}]";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.LINE.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.LINE.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.LINE.02]
     *
     * [// ダブルクオート処理付きで書き出しを行います。] (ja)<br>
     *
     * @return key[WRITERECORD.LINE.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordLine02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "// ダブルクオート処理付きで書き出しを行います。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.LINE.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.LINE.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[WRITERECORD.LINE.03]
     *
     * [// 最後に改行コードが付与されます。] (ja)<br>
     *
     * @return key[WRITERECORD.LINE.03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWriterecordLine03() {
        // 初期値として定義書の値を利用します。
        String strFormat = "// 最後に改行コードが付与されます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WRITERECORD.LINE.03");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[WRITERECORD.LINE.03]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FLUSH.JAVADOC.01]
     *
     * [このライタをフラッシュします。&lt;br&gt;] (ja)<br>
     *
     * @return key[FLUSH.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFlushJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "このライタをフラッシュします。<br>";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FLUSH.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FLUSH.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FLUSH.JAVADOC.02]
     *
     * [関連づけられていたライタに対してもflush()を呼び出します。] (ja)<br>
     *
     * @return key[FLUSH.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFlushJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "関連づけられていたライタに対してもflush()を呼び出します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FLUSH.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FLUSH.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FLUSH.THROWS.01.TYPE]
     *
     * [System.IO.IOException] (ja)<br>
     *
     * @return key[FLUSH.THROWS.01.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFlushThrows01Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.IOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FLUSH.THROWS.01.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FLUSH.THROWS.01.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[FLUSH.THROWS.01.JAVADOC]
     *
     * [関連づけられていたライタのflush()に失敗した場合。] (ja)<br>
     *
     * @return key[FLUSH.THROWS.01.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFlushThrows01Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "関連づけられていたライタのflush()に失敗した場合。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FLUSH.THROWS.01.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[FLUSH.THROWS.01.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLOSE.JAVADOC.01]
     *
     * [このライタを閉じます。&lt;br&gt;] (ja)<br>
     *
     * @return key[CLOSE.JAVADOC.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseJavadoc01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "このライタを閉じます。<br>";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.JAVADOC.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLOSE.JAVADOC.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLOSE.JAVADOC.02]
     *
     * [関連づけられていたライタに対してもclose()を呼び出します。] (ja)<br>
     *
     * @return key[CLOSE.JAVADOC.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseJavadoc02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "関連づけられていたライタに対してもclose()を呼び出します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.JAVADOC.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLOSE.JAVADOC.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLOSE.THROWS.01.TYPE]
     *
     * [System.IO.IOException] (ja)<br>
     *
     * @return key[CLOSE.THROWS.01.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseThrows01Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.IOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.THROWS.01.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLOSE.THROWS.01.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[CLOSE.THROWS.01.JAVADOC]
     *
     * [関連づけられていたライタのclose()に失敗した場合。] (ja)<br>
     *
     * @return key[CLOSE.THROWS.01.JAVADOC]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCloseThrows01Javadoc() {
        // 初期値として定義書の値を利用します。
        String strFormat = "関連づけられていたライタのclose()に失敗した場合。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLOSE.THROWS.01.JAVADOC");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[CLOSE.THROWS.01.JAVADOC]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthWriterDotNet], key[GETLOCATIONSTRING.LINE.01]
     *
     * [出力&quot; + (fLineCounter + 1) + &quot;行目 {0}項目目。{1}項目名[{2}]] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[GETLOCATIONSTRING.LINE.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetlocationstringLine01(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "出力\" + (fLineCounter + 1) + \"行目 {0}項目目。{1}項目名[{2}]";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("GETLOCATIONSTRING.LINE.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthWriterDotNet]、キー[GETLOCATIONSTRING.LINE.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }
}
